import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
import { TSTypeParameterInstantiation } from "./TSTypeParameterInstantiation";
import { TypeNode } from "./TypeNode";
export declare class TSImportType extends TypeNode {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createTSImportType(param: Expression | undefined, typeParams: TSTypeParameterInstantiation | undefined, qualifier: Expression | undefined, isTypeof: boolean): TSImportType;
    static updateTSImportType(original: TSImportType | undefined, param: Expression | undefined, typeParams: TSTypeParameterInstantiation | undefined, qualifier: Expression | undefined, isTypeof: boolean): TSImportType;
    get param(): Expression | undefined;
    get typeParams(): TSTypeParameterInstantiation | undefined;
    get qualifier(): Expression | undefined;
    get isTypeof(): boolean;
    protected readonly brandTSImportType: undefined;
}
export declare function isTSImportType(node: object | undefined): node is TSImportType;
